# Deposit

* There is two way to make a deposit on contracts, depends if warmup is enabled or not
* If `warmupPeriod == 0` contract admin needs to make a deposit through function called `ISDK(farmAddress).deposit()`

  ```solidity
  function deposit(address _user, uint256 amount)
  ```

  &#x20;After that stake is remembered and user starts earning immediately
* If `warmupPeriod > 0` contract admin needs to make deposit through function called `ISDK(farmAddress).makeDepositRequest`

  ```solidity
  function makeDepositRequest(
     address _user,
     uint256 amount
  )
  ```

  &#x20;After that `warmupPeriod` needs to pass in order for BE or contract admin to call function `ISDK(farmAddress).finaliseDeposit`&#x20;

  ```solidity
  function finaliseDeposit(
      address _user,    
      uint256 stakeId
  )
  ```

  once that function is executed user can start earning rewards and his stakes i acknowledged&#x20;


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tokensfarm.com/for-developers/tokensfarmsdk/deposit.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
